{ *** 4 DELPHI 2.0 32 *** }
unit Show32;
interface
uses
    Windows;

var
    Usil    :integer;
    Channel :word;
    Rate    :integer;
    Npoint  :integer;
    Channels:array[0..15] of word;
    Nch     :integer;

type
    TMakeData=function:LongBool;stdcall;
    TPenColor=array[0..2] of dword;
    PointType=record
        X, Y:integer;
    End;
    PPointer=^pointer;

var
    PhWnd        :^HWND;
    PMsg         :^TMSG;
    PPP          :pointer;
    PPD          :pointer;
    PCount       :^dword;
    PMaxX        :^dword;
    PMaxY        :^dword;
    PFrequency   :^dword;
    PhInstanceDLL:^dword;
    PStop        :^LONGBOOL;
    PPenWidth    :^integer;
    PPenColor    :^TPenColor;
    PWClass      :^TWndClass;
    PName        :PChar;
    PMakeData    :^TMakeData;


procedure _hWnd;
procedure _Msg;
procedure _PP;
procedure _PD;
procedure _Count;
procedure _MaxX;
procedure _MaxY;
procedure _Frequency;
procedure _hInstanceDLL;
procedure _Stop;
procedure _PenWidth;
procedure _PenColor;
procedure _WClass;
procedure _Name;
procedure _MakeData;
procedure InstallShow(hInst:dword; nCmdShow:dword);stdcall;


implementation
procedure _hWnd;                                 external 'SHOW32.DLL' index 1;
procedure _Msg;                                  external 'SHOW32.DLL' index 2;
procedure _PP;                                   external 'SHOW32.DLL';
procedure _PD;                                   external 'SHOW32.DLL';
procedure _Count;                                external 'SHOW32.DLL' index 5;
procedure _MaxX;                                 external 'SHOW32.DLL' index 6;
procedure _MaxY;                                 external 'SHOW32.DLL' index 7;
procedure _Frequency;                            external 'SHOW32.DLL' index 8;
procedure _hInstanceDLL;                         external 'SHOW32.DLL' index 9;
procedure _Stop;                                 external 'SHOW32.DLL' index 10;
procedure _PenWidth;                             external 'SHOW32.DLL' index 11;
procedure _PenColor;                             external 'SHOW32.DLL' index 12;
procedure _WClass;                               external 'SHOW32.DLL' index 13;
procedure _Name;                                 external 'SHOW32.DLL' index 14;
procedure _MakeData;                             external 'SHOW32.DLL' index 15;
procedure InstallShow(hInst:dword; nCmdShow:dword);external 'SHOW32.DLL';


{**************************************************************************}
Begin
    PhWnd        :=PPointer(PPointer(longint(@_hWnd)+2)^)^;
    PMsg         :=PPointer(PPointer(longint(@_Msg)+2)^)^;
    PPP          :=PPointer(PPointer(longint(@_PP)+2)^)^;
    PPD          :=PPointer(PPointer(longint(@_PD)+2)^)^;
    PCount       :=PPointer(PPointer(longint(@_Count)+2)^)^;
    PMaxX        :=PPointer(PPointer(longint(@_MaxX)+2)^)^;
    PMaxY        :=PPointer(PPointer(longint(@_MaxY)+2)^)^;
    PFrequency   :=PPointer(PPointer(longint(@_Frequency)+2)^)^;
    PhInstanceDLL:=PPointer(PPointer(longint(@_hInstanceDLL)+2)^)^;
    PStop        :=PPointer(PPointer(longint(@_Stop)+2)^)^;
    PPenWidth    :=PPointer(PPointer(longint(@_PenWidth)+2)^)^;
    PPenColor    :=PPointer(PPointer(longint(@_PenColor)+2)^)^;
    PWClass      :=PPointer(PPointer(longint(@_WClass)+2)^)^;
    PName        :=PPointer(PPointer(longint(@_Name)+2)^)^;
End.
